Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInput.cs	(revision 60)
@@ -8,11 +8,15 @@
 using System.Threading.Tasks;
 using System.Windows.Forms;
 using System.Collections;
+using System.Diagnostics;
+using System.Drawing.Drawing2D;
 
 using ProcessManagement.Common;
 using ProcessManagement.DataModel;
 using ProcessManagement.DB.IOAccess;
 using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.DataEntry;
 
 namespace ProcessManagement.Forms.DataEntry
 {
@@ -23,6 +27,9 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
+        #region 定数
+        #endregion
+
         #region 変数
         /// <summary>
         /// 工事番号
@@ -54,6 +61,15 @@
 
         private bool m_bChengeAns = false;
 
+        //        private List<RequestData> m_RequestData = new List<RequestData>();
+
+        private bool m_bDirty = false;
+        private bool m_bVisible = false;
+        private bool m_bEdit = true;
+
+        private int m_ApprovalCode = 0;         // 承認機能番号
+        private int m_OrderNo = 0;              // 受付番号
+
         #endregion
 
         #region プロパティ
@@ -83,6 +99,32 @@
             set { m_BillingSplitFlg = value; }
         }
 
+        /// <summary>
+        /// 編集フラグ
+        /// </summary>
+        public bool EditFlg
+        {
+            set { m_bEdit = value; }
+        }
+
+        /// <summary>
+        /// 承認機能番号
+        /// </summary>
+        public int ApprovalCode
+        {
+            get { return m_ApprovalCode; }
+            set { m_ApprovalCode = value; }
+        }
+
+        /// <summary>
+        /// 受付番号
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+
         #endregion
 
         /// <summary>
@@ -93,273 +135,579 @@
             InitializeComponent();
         }
 
-        private void Form1_Load(object sender, EventArgs e)
+        /// <summary>
+        /// フォームのロード
+        /// </summary>
+        private void FrmRequestInput_Load(object sender, EventArgs e)
         {
-            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+            int ret;
 
+            // 初期起動チェック
+            ret = CheckInit();
+            if (ret > 0)
+            {
+                ShowMessageBox("該当工事は結合工事の子工事として請求済のため、単独での請求はできません。", "請求入力", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                this.Close();
+
+                return;
+            }
+            else if (ret == -1)
+            {
+                ShowMessageBox("起動に失敗しました。再起動してください", "請求入力", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
+                this.Close();
+
+                return;
+            }
+
             // DataGridViewに項目名を設定
             SetGridDisplay();
 
-            dgv1.Visible = true;
+            // 請求データの取得
+            GetRequestDispData();
 
-            dgv1.CellValueChanged += dgv1_CellValueChanged;
-            dgv1.CellDoubleClick += dgv1_CellDoubleClicked;
+            // 請求データの設定
+            SetRequestDispData();
 
+            // 請求月の設定
+            SetRequestMonth();
+
+            for (int i = 1; i < m_nMaxOrderNo; i++)
+            {
+                int tcol = 8 + i;
+
+                dgv1.Columns[tcol].Visible = true;
+            }
+
             // [回数追加]ボタンの制御
             btnAdd.Enabled = GetbtnAddEnabled();
 
+            if( m_bEdit == false ){
+                btnEntry.Enabled = false;
+            }
+
             // *-----* 処理移動ボタン設定 *-----*
             CreateProcessContextMenu(m_SubForm);
             // *-----* 処理移動ボタン設定 *-----*
 
+            // 承認機能番号が0以外(=承認画面からの呼び出し)の場合
+            if (m_ApprovalCode != 0)
+            {
+                pnlNormal.Visible = false;
+
+                ApprovalMaster App = null;
+
+                // 承認経路上にログインユーザがある場合は、承認の各ボタンを表示
+                if ( m_dicApprovalMaster.TryGetValue(CommonMotions.LoginUserData.PersonCode, out App ) == true)
+                {
+                    pnlApproval.Visible = true;
+                }
+            }
+            m_bDirty = false;
+
         }
 
-        // 
-        private void dgv1_SelectionChanged(object sender, EventArgs e)
+        /// <summary>
+        /// 請求入力がアクティブになった
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmRequestInput_Activated(object sender, EventArgs e)
         {
-            
+            // 再描画
+            //this.Refresh();
         }
 
-        private void dgv1_CurrentCellChanged(object sender, EventArgs e)
+        /// <summary>
+        /// 「回数追加」ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnAdd_Click(object sender, EventArgs e)
         {
-            DataGridView dgv = sender as DataGridView;
-            DataGridViewCell cell = dgv.CurrentCell;
+            try
+            {
+                // データが変更されている場合
+                if (m_bDirty == true)
+                {
+                    if (ShowMessageBox("データが保存されます。よろしいですか？", "保存確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
+                    {
+                        return;
+                    }
+                    // データ保存
+                    AcceptData();
+                }
 
-            int cnt = dgv.ColumnCount;
-        }
 
-        // DataGridViewのセルクリック時
-        private void dgv1_CellContentClick(object sender, DataGridViewCellEventArgs e)
-        {
+                // 請求回追加
+                AddRequest();
 
+                btnAdd.Enabled = false;
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
         }
 
         /// <summary>
-        /// セルの値が変更された際のコールバック
+        /// [請求書申請]ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        private void btnApproval_Click(object sender, EventArgs e)
         {
-            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+            int ret;
 
-            try
+            int nOldState = m_lstOrderState[m_nMaxOrderNo - 1];
+
+            List<int> lstMainConstructionCode = new List<int>();
+
+            // データが変更されている場合
+            if (m_bDirty == true)
             {
-                if ((e.RowIndex >= 0) && (e.ColumnIndex >= 0))
+                if (ShowMessageBox("データが保存されます。よろしいですか？", "保存確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
                 {
-                    // 請求明細列以外は無視
-                    int minIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, 1);
-                    int maxIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, m_RequestColumnCount);
-                    if ((e.ColumnIndex >= minIndex) && (e.ColumnIndex <= maxIndex))
-                    {
-                        var targetCell = dgv1.Rows[e.RowIndex].Cells[e.ColumnIndex] as DataGridViewCell;
-                        RowSectionIndex sectionIndex = (RowSectionIndex)dgv1.Rows[e.RowIndex].Cells[GetColumnIndexNum(ColumnIndex.SectionIndex)].Value;
+                    return;
+                }
+                // データ保存
+                AcceptData();
+            }
 
-                        // 本工事セクションか増減工事セクション以外は無視
-                        if ((sectionIndex == RowSectionIndex.OriginalConstruction) || (sectionIndex == RowSectionIndex.ChildConstruction))
-                        {
-                            if (targetCell.Value.GetType() == typeof(string))
-                            {
-                                double dest = 0;
-                                double.TryParse((string)targetCell.Value, out dest);
-                                targetCell.Value = dest;
-                                targetCell.Style.ForeColor = (dest < 0) ? Color.Red : Color.Black;
-                            }
+            // エラー表示を一旦クリア
+            ClearErrorIndicate();
 
-                            // 自動計算セル再計算
-                            SetAutoCalcCell(dgv1.Rows[e.RowIndex]);
+            // 申請チェック
+            ret = CheckApproval(ref lstMainConstructionCode);
 
-                            // 該当列の合計セクションを計算
-                            SetTotalInfoColumn(e.ColumnIndex);
+            // 状態が入力中の場合
+            if (nOldState == (int)ApprovalState.Entry)
+            {
 
-                            // 合計セクションの合計列および残り列の計算
-                            SetTotalSectionInfo();
+                if (ret == (int)CheckResult.ErrorStatus)
+                {
+                    // エラー表示
+                    SetErrorIndicate(lstMainConstructionCode);
 
-                        }
+                    ShowMessageBox("施工準備ではないため、請求書承認の申請はできません。", "申請確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
 
+                    return;
+                }
+
+                if (ret == (int)CheckResult.NoError)
+                {
+                    if (ShowMessageBox("請求書承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
+                    {
+                        return;
                     }
+                }
+                else if (ret == (int)CheckResult.WarningUnmatch)
+                {
+                    if (ShowMessageBox("工事金額が全て請求されていませんが、\n請求書承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        return;
+                    }
+                }
+                else if (ret == (int)CheckResult.WarningOver)
+                {
+                    if (ShowMessageBox("請求金額が工事金額を超えていますが、\n請求書承認を申請してよろしいですか？", "申請確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                    {
+                        return;
+                    }
+                }
+                else
+                {
+                    return;
+                }
+            }
 
+            // 承認画面を表示
+            FrmApprovalScreen frmApprovalScreen = new FrmApprovalScreen();
+            frmApprovalScreen.ConstructionCode = m_ConstructionCode;
+            frmApprovalScreen.ApprovalCode = (int)ClsExcute.ApprovalListNo.OrderBillingApproval;
+            frmApprovalScreen.OrderNo = m_nMaxOrderNo;
+            frmApprovalScreen.ShowDialog(this);
+
+            m_dicProcessApproval.Clear();
+
+            // 承認データの再取得
+            GetProcessApproval(m_ConstructionCode, ref m_dicProcessApproval);
+
+            int nNewState = GetApprovalState(m_ConstructionCode, m_nMaxOrderNo);
+
+            int tcol = m_nMaxOrderNo + 7;
+
+            if (nNewState != nOldState)
+            {
+                m_lstOrderState[m_nMaxOrderNo - 1] = nNewState;
+
+                SetRequestMonthAndApprovalState(m_nMaxOrderNo, 0, nNewState);
+
+                if (nNewState != (int)ApprovalState.End)
+                {
+                    txtOrderer.ReadOnly = false;
+                    cbReqMonth.Enabled = false;
                 }
+                else
+                {
+                    txtOrderer.ReadOnly = true;
+                    cbReqMonth.Enabled = true;
+                }
+            }
 
+        }
+
+        /// <summary>
+        /// [登録]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEntry_Click(object sender, EventArgs e)
+        {
+            // エラー表示クリア
+            ClearErrorIndicate();
+
+            // 登録確認メッセージ表示
+            if (ShowMessageBox("表示中のデータを登録します。", "登録確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
+            {
+                return;
             }
-            catch (Exception ex)
+
+            // セルの内容をオブジェクトに反映
+            SetDispData();
+
+            // データ登録
+            SaveDispData();
+
+            // Formを閉じる
+            Close();
+        }
+
+        /// <summary>
+        /// [終了]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            // データが変更されている場合
+            if ((m_bDirty == true)&&(m_bEdit == true ))
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                // 破棄確認メッセージ表示
+                if (ShowMessageBox("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    return ;
+                }
             }
 
-            dgv1.CellValueChanged += dgv1_CellValueChanged;
+            m_EndButton = DialogResult.Cancel;
 
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+
+            Close();
+
         }
 
         /// <summary>
-        /// 「回数追加」ボタン押下
+        /// セル編集開始
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void btnAdd_Click(object sender, EventArgs e)
+        private void dgv1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
         {
-            dgv1.CellValueChanged -= dgv1_CellValueChanged;
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
 
-            try
+            this.dgv1.CellBeginEdit -= dgv1_CellBeginEdit;
+
+            // 対象セルが数値（金額）系の場合
+            if (isEditNumCell(tcol, trow) == true)
             {
-                AddRequest();
+                string val;
 
+                // セルに値が格納されている場合
+                if (dgv1[tcol, trow].Value != null)
+                {
+                    // カンマ区切りを解除
+                    val = dgv1[tcol, trow].Value.ToString().Replace(",", string.Empty);
+                }
+                else
+                {
+                    // 0を入力
+                    val = "0";
+                }
+                dgv1[tcol, trow].Value = val;
+
+                // 文字色は一律黒
+                dgv1[tcol, trow].Style.ForeColor = Color.Black;
             }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
 
-            dgv1.CellValueChanged += dgv1_CellValueChanged;
+            this.dgv1.CellBeginEdit += dgv1_CellBeginEdit;
         }
 
         /// <summary>
-        /// 「他の画面へ」ボタン押下
+        /// セルフォーマッティング（セル書式指定）
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        //private void btnOtherProc_Click(object sender, EventArgs e)
-        //{
-        //    // 暫定的に直接印刷画面を表示する
-        //    FrmRequestPrint frmRequestPrint = new FrmRequestPrint();
+        private void dgv1_CellFormatting(object sender, DataGridViewCellFormattingEventArgs e)
+        {
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
 
-        //    // パラメータを渡す
-        //    frmRequestPrint.RequestNo = m_RequestData.RequestNo;
-        //    frmRequestPrint.ConstructionCode = m_ConstructionCode;
+            this.dgv1.CellFormatting -= dgv1_CellFormatting;
 
-        //    frmRequestPrint.ShowDialog();
-           
+            if (dgv1[tcol, trow].Value == null)
+            {
+                this.dgv1.CellFormatting += dgv1_CellFormatting;
+                return;
+            }
 
-        //}
+            // セルの編集タイプを取得
+            int nType = GetEditType(tcol, trow);
 
+            // 金額系セルの場合
+            if (nType == (int)EditType.Amount)
+            {
+                // 金額系セルの終了制御(カンマ区切り、文字色変更等)
+                CellEditEnd(tcol, trow);
+
+                // 編集行の合計列を再計算
+                calcTotal(trow);
+
+                // 編集行の残り列を再計算
+                calcBalance(trow);
+
+                // 受付回目列のヘッダ部合計を再計算
+                setOrderTotal(m_nMaxOrderNo);
+
+                // 合計列のヘッダ部合計を再計算
+                setOrderTotal(0);
+
+                // ヘッダ部請求合計行の残り列を再計算
+                calcBalance(2);
+
+                // ヘッダ部請求金額行の残り列を再計算
+                calcBalance(3);
+
+                // ヘッダ部消費税行の残り列を再計算
+                calcBalance(4);
+
+            }
+
+            this.dgv1.CellFormatting += dgv1_CellFormatting;
+        }
+
         /// <summary>
-        /// セルダブルクリック時の処理
+        /// データグリッドビュのセルが変更された
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgv1_CellDoubleClicked(object sender, DataGridViewCellEventArgs e)
+        private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
         {
-            try
-            {
-                // 確認のためのインデックス取得
-                int statRowIndex = GetRowIndexNum(RowSectionIndex.Header, RowKind.ApprobalStatus);
-                int minStatColIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, 1);
-                int maxStatColIndex = GetColumnIndexNum(ColumnIndex.RequestInfo, m_LstRequestTotalData.Count);
+            m_bDirty = true;
+        }
 
-                // 対象セルがステータス行であることを確認
-                if (e.RowIndex == statRowIndex)
-                {
-                    // 対象セルが請求明細列であることを確認
-                    if ((e.ColumnIndex >= minStatColIndex) && (e.ColumnIndex <= maxStatColIndex))
-                    {
-                        int orderNo = m_LstRequestTotalData[e.ColumnIndex - minStatColIndex].OrderNo;
+        /// <summary>
+        /// セル検証
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgv1_CellValidating(object sender, DataGridViewCellValidatingEventArgs e)
+        {
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
 
-                        // 請求書申請チェックを実施
-                        if (checkApproval(orderNo))
-                        {
-                            // チェック結果がOKなら以下の処理を実施
+            // 新規行または変更されていない場合はスルー
+            if (e.RowIndex == dgv1.NewRowIndex || !dgv1.IsCurrentCellDirty)
+            {
+                return;
+            }
 
-                            // 承認画面を表示
-                            FrmApprovalScreen frmApprovalScreen = new FrmApprovalScreen();
-                            frmApprovalScreen.ConstructionCode = m_ConstructionCode;
-                            frmApprovalScreen.ApprovalCode = 5;
-                            frmApprovalScreen.OrderNo = orderNo;
-                            frmApprovalScreen.ShowDialog();
+            // セルの編集タイプを取得
+            int nType = GetEditType(tcol, trow);
 
-                        }
+            // セルの編集タイプが金額系の場合
+            if (nType == (int)EditType.Amount)
+            {
+                string str = e.FormattedValue.ToString().Replace(",", string.Empty); ;
 
-                        // 承認データを再取得
-                        m_DicProcessApproval.Clear();
-                        GetProcessApproval(m_ConstructionCode, ref m_DicProcessApproval);
+                str.Trim();
 
-                        // 対象の請求明細列を再表示
-                        SetRequestInfoColumn(orderNo - 1);
+                if (str == "")
+                {
+                    str = "0";
+                }
 
-                    }
+                try
+                {
+                    int n = int.Parse(str);
                 }
+                catch (Exception)
+                {
+                    ShowMessageBox("金額を入力してください", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    e.Cancel = true;
+                }
 
+
             }
-            catch (Exception ex)
+            // セルの編集タイプが名称系の場合
+            else if (nType == (int)EditType.Name)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                string str = e.FormattedValue.ToString();
+
+                str.Trim();
+                
+                string msg = "";
+
+                if (str == "")
+                {
+                    msg = "件名を入力してください";
+                }
+                else if (str.Length > 120)
+                {
+                    msg = "件名が長すぎます(120文字まで入力可能)2";
+                }
+
+                if (msg != "")
+                {
+                    ShowMessageBox(msg, "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    e.Cancel = true;
+                }
             }
+        }
 
+        /// <summary>
+        /// 請求先の変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void txtOrderer_TextChanged(object sender, EventArgs e)
+        {
+            m_bDirty = true;
         }
 
         /// <summary>
-        /// 登録ボタン押下時処理
+        /// 請求先の検証
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void button3_Click(object sender, EventArgs e)
+        private void txtOrderer_Validating(object sender, CancelEventArgs e)
         {
-            try
+            if (txtOrderer.Text.Length > 120)
             {
-                // データ登録処理
-                AcceptData();
+                string msg = "件名が長すぎます(120文字まで入力可能)";
+                ShowMessageBox(msg, "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                e.Cancel = true;
+                txtOrderer.Select(0, txtOrderer.Text.Length);
+            }
+        }
 
+        /// <summary>
+        /// デバッグ用ダミー
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void button1_Click_1(object sender, EventArgs e)
+        {
+            if (m_bVisible)
+            {
+                m_bVisible = false;
             }
-            catch (Exception ex)
+            else
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                m_bVisible = true;
             }
+            dgv1.Columns[0].Visible = m_bVisible;
+            dgv1.Columns[1].Visible = m_bVisible;
+            dgv1.Columns[2].Visible = m_bVisible;
+
         }
 
+        private DialogResult ShowMessageBox(string text, string caption, MessageBoxButtons buttons, MessageBoxIcon icon)
+        {
+            dgv1.CellFormatting -= dgv1_CellFormatting;
+
+            DialogResult ret = MessageBox.Show(this, text, caption, buttons, icon);
+
+            dgv1.CellFormatting += dgv1_CellFormatting;
+
+            return ret;
+        }
+
         /// <summary>
-        /// 終了ボタン押下時処理
+        /// [承認]ボタン押下
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void button2_Click(object sender, EventArgs e)
+        private void btnAgree_Click(object sender, EventArgs e)
         {
+            if (ShowMessageBox("案件を承認します、よろしいですか？。", "承認確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
+            {
+                return;
+            }
 
+            // 承認で登録
+            SetProcessApproval((int)CommonDefine.ApprovalStatus.Approval);
+
             m_EndButton = DialogResult.Cancel;
 
             // 前プロセスに戻る
             ClsExcute.BackProcess();
-            
+
             Close();
+
         }
 
         /// <summary>
-        /// [回数追加]ボタン活性状態の取得
+        /// [保留]ボタン押下
         /// </summary>
-        private bool GetbtnAddEnabled()
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnPend_Click(object sender, EventArgs e)
         {
-            // 入金が完了している場合
-            if (m_ConstructionLedger.ComplateFlg == 1)
+            if (ShowMessageBox("案件を保留とします、よろしいですか？。", "保留確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
             {
-                return false;
+                return;
             }
 
-            // 分割払いの場合
-            if (m_BillingSplitFlg == 1)
-            {
-                return true;
-            }
+            // 保留で登録
+            SetProcessApproval((int)CommonDefine.ApprovalStatus.Pending);
 
-            double totalDiff = 0;
+            m_EndButton = DialogResult.Cancel;
 
-            // 繰越金額がある場合
-            // 合計値を計算
-            foreach (var detail in m_LstRequestTotalData)
-            {
-                if (m_DicDepositDataDetail.ContainsKey(detail.OrderNo))
-                {
-                    var depDetail = m_DicDepositDataDetail[detail.OrderNo];
-                    totalDiff += depDetail.CarryAmount;
-                }
-            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
 
-            // 繰越金が存在する場合
-            if (totalDiff > 0)
+            Close();
+        }
+
+        /// <summary>
+        /// [不承認]ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDeny_Click(object sender, EventArgs e)
+        {
+            if (ShowMessageBox("案件を不承認します、よろしいですか？。", "不承認確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No)
             {
-                return true;
+                return;
             }
 
-            return false;
+            // 不承認で登録
+            SetProcessApproval((int)CommonDefine.ApprovalStatus.NotApproval);
+
+            m_EndButton = DialogResult.Cancel;
+
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+
+            Close();
         }
 
-
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 59)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 60)
@@ -6,31 +6,67 @@
 using System.Windows.Forms;
 using System.Collections;
 using System.Drawing;
+using System.Diagnostics;
 
 using ProcessManagement.Common;
 using ProcessManagement.DataModel;
 using ProcessManagement.DB.IOAccess;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.DataEntry;
 
 namespace ProcessManagement.Forms.DataEntry
 {
     public partial class FrmRequestInput : Form
     {
-        #region 変数
+        #region 定数
         /// <summary>
-        /// 増減工事表示行数
+        /// DataGridView区分
         /// </summary>
-        private int m_ChildConstructionRowCount = 4;
+        private enum dgvKind
+        {
+            Header = 0,                     // ヘッダ
+            BodyMainConstruction = 1,       // ボディ（本工事）
+            BodySubConstruction = 2,        // ボディ（増減工事）
+            Body = 3,                       // ボディ
+            Footer = 4,                     // フッタ
+        }
 
-        /// <summary>
-        /// 請求明細表示列数
-        /// </summary>
-        private int m_RequestColumnCount = 3;
+        private enum ApprovalState
+        {
+            Entry = 0,              // 入力中
+            Apply = 1,              // 申請中
+            Approval = 2,           // 承認中
+            Pending = 3,            // 保留
+            Dismissal = 4,          // 却下
+            End = 5,                // 承認済
+        }
 
-        /// <summary>
-        /// DataGridViewRowオブジェクトハッシュテーブル
-        /// </summary>
-        private Hashtable m_HtRowObject = new Hashtable();
+        private enum DepositState
+        {
+            None = 0,               // なし
+            Done = 1,               // 確認済
+        }
 
+        private enum EditType
+        {
+            NotEdit = 0,            // 編集対象外
+            Name = 1,               // 名前（文字列）
+            Amount = 2,             // 金額（カンマ区切り）
+        }
+
+        private enum CheckResult
+        {
+            NoError = 0,            // エラーなし
+            WarningUnmatch = 1,     // 金額不一致
+            WarningOver = 2,        // 請求超過（残りがマイナス）
+            ErrorStatus = 3,        // 施工完了ではない
+            UnknownError = 99,
+        }
+
+    #endregion
+
+        #region 変数
         /// <summary>
         /// 消費税率
         /// </summary>
